# Uses of Class
net.shibboleth.idp.cas.ticket.ProxyGrantingTicket

Packages that use ProxyGrantingTicket
Package
Description
net.shibboleth.idp.cas.flow.impl
CAS protocol flow implementations.
net.shibboleth.idp.cas.ticket
APIs related to CAS tickets.
net.shibboleth.idp.cas.ticket.impl
CAS protocol ticket implementations.
net.shibboleth.idp.cas.ticket.serialization.impl
CAS protocol ticket serialization implementations.

## Uses of ProxyGrantingTicket in net.shibboleth.idp.cas.flow.impl

Fields in net.shibboleth.idp.cas.flow.impl declared as ProxyGrantingTicket
Modifier and Type
Field
Description
`private ProxyGrantingTicket`
GrantProxyTicketAction.`proxyGrantingTicket`
CAS ticket.
Methods in net.shibboleth.idp.cas.flow.impl that return ProxyGrantingTicket
Modifier and Type
Method
Description
`private ProxyGrantingTicket`
GrantProxyTicketAction.`getProxyGrantingTicket()`
Null-safe getter.

## Uses of ProxyGrantingTicket in net.shibboleth.idp.cas.ticket

Methods in net.shibboleth.idp.cas.ticket that return ProxyGrantingTicket
Modifier and Type
Method
Description
`ProxyGrantingTicket`
TicketService.`createProxyGrantingTicket(String id, Instant expiry, ProxyTicket proxyTicket, String pgtUrl)`
Creates a chained proxy-granting ticket from a proxy ticket.
`ProxyGrantingTicket`
TicketService.`createProxyGrantingTicket(String id, Instant expiry, ServiceTicket serviceTicket, String pgtUrl)`
Creates a top-level proxy-granting ticket from a service ticket.
`ProxyGrantingTicket`
TicketService.`fetchProxyGrantingTicket(String id)`
Retrieves a proxy-granting ticket by its ID.
`ProxyGrantingTicket`
TicketService.`removeProxyGrantingTicket(String id)`
Removes the proxy-granting ticket with the given identifier.
Methods in net.shibboleth.idp.cas.ticket with parameters of type ProxyGrantingTicket
Modifier and Type
Method
Description
`ProxyTicket`
TicketService.`createProxyTicket(String id, Instant expiry, ProxyGrantingTicket pgt, String service)`
Creates and stores a proxy ticket for the given service.

## Uses of ProxyGrantingTicket in net.shibboleth.idp.cas.ticket.impl

Methods in net.shibboleth.idp.cas.ticket.impl that return ProxyGrantingTicket
Modifier and Type
Method
Description
`ProxyGrantingTicket`
AbstractTicketService.`createProxyGrantingTicket(String id, Instant expiry, ProxyTicket proxyTicket, String pgtUrl)`
Creates a chained proxy-granting ticket from a proxy ticket.
`ProxyGrantingTicket`
AbstractTicketService.`createProxyGrantingTicket(String id, Instant expiry, ServiceTicket serviceTicket, String pgtUrl)`
Creates a top-level proxy-granting ticket from a service ticket.
`ProxyGrantingTicket`
EncodingTicketService.`createProxyGrantingTicket(String id, Instant expiry, ServiceTicket serviceTicket, String pgtUrl)`
Creates a top-level proxy-granting ticket from a service ticket.
`ProxyGrantingTicket`
AbstractTicketService.`fetchProxyGrantingTicket(String id)`
Retrieves a proxy-granting ticket by its ID.
`ProxyGrantingTicket`
EncodingTicketService.`fetchProxyGrantingTicket(String id)`
Retrieves a proxy-granting ticket by its ID.
`ProxyGrantingTicket`
AbstractTicketService.`removeProxyGrantingTicket(String id)`
Removes the proxy-granting ticket with the given identifier.
`ProxyGrantingTicket`
EncodingTicketService.`removeProxyGrantingTicket(String id)`
Removes the proxy-granting ticket with the given identifier.
Methods in net.shibboleth.idp.cas.ticket.impl with parameters of type ProxyGrantingTicket
Modifier and Type
Method
Description
`ProxyTicket`
EncodingTicketService.`createProxyTicket(String id, Instant expiry, ProxyGrantingTicket pgt, String service)`
Creates and stores a proxy ticket for the given service.
`ProxyTicket`
SimpleTicketService.`createProxyTicket(String id, Instant expiry, ProxyGrantingTicket pgt, String service)`
Creates and stores a proxy ticket for the given service.

## Uses of ProxyGrantingTicket in net.shibboleth.idp.cas.ticket.serialization.impl

Methods in net.shibboleth.idp.cas.ticket.serialization.impl that return ProxyGrantingTicket
Modifier and Type
Method
Description
`protected ProxyGrantingTicket`
ProxyGrantingTicketSerializer.`createTicket(JsonObject o, String id, String service, Instant expiry)`
Create a ticket.
Methods in net.shibboleth.idp.cas.ticket.serialization.impl with parameters of type ProxyGrantingTicket
Modifier and Type
Method
Description
`protected void`
ProxyGrantingTicketSerializer.`serializeInternal(JsonGenerator generator, ProxyGrantingTicket ticket)`
Serialize a ticket.